﻿if not DataStore then return end

local addon = DataStore_Crafts
local addonName = "DataStore_Crafts"
local L = LibStub("AceLocale-3.0"):GetLocale(addonName)

function addon:SetupOptions()
	DataStore:AddOptionCategory(DataStoreCraftsOptions, addonName, "DataStore")

	-- localize options
	DataStoreCraftsOptions_BroadcastProfsText:SetText(L["Broadcast my profession links to guild at logon"])
	
	-- restore saved options to gui
	DataStoreCraftsOptions_BroadcastProfs:SetChecked(DataStore:GetOption(addonName, "BroadcastProfs"))
end
